Create observation
curl --request POST \
--url https://api.openloophealth.com/v0.1/observations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": {
"code": "<string>",
"system": "<string>",
"display": "<string>"
},
"subject_id": "<string>",
"encounter_id": "<string>",
"effective_at": "2023-11-07T05:31:56Z",
"effective_period": {
"start_at": "2023-11-07T05:31:56Z",
"end_at": "2023-11-07T05:31:56Z"
},
"issued_at": "2023-11-07T05:31:56Z",
"performers": [
{
"id": "<string>"
}
],
"value": {
"type": "quantity",
"value": 123,
"unit": "<string>",
"system": "<string>",
"code": "<string>"
},
"interpretation": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"body_site": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"method": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"note": [
"<string>"
]
}
'import requests
url = "https://api.openloophealth.com/v0.1/observations"
payload = {
"code": {
"code": "<string>",
"system": "<string>",
"display": "<string>"
},
"subject_id": "<string>",
"encounter_id": "<string>",
"effective_at": "2023-11-07T05:31:56Z",
"effective_period": {
"start_at": "2023-11-07T05:31:56Z",
"end_at": "2023-11-07T05:31:56Z"
},
"issued_at": "2023-11-07T05:31:56Z",
"performers": [{ "id": "<string>" }],
"value": {
"type": "quantity",
"value": 123,
"unit": "<string>",
"system": "<string>",
"code": "<string>"
},
"interpretation": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"body_site": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"method": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"note": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
code: {code: '<string>', system: '<string>', display: '<string>'},
subject_id: '<string>',
encounter_id: '<string>',
effective_at: '2023-11-07T05:31:56Z',
effective_period: {start_at: '2023-11-07T05:31:56Z', end_at: '2023-11-07T05:31:56Z'},
issued_at: '2023-11-07T05:31:56Z',
performers: [{id: '<string>'}],
value: {
type: 'quantity',
value: 123,
unit: '<string>',
system: '<string>',
code: '<string>'
},
interpretation: [{code: '<string>', system: '<string>', display: '<string>'}],
body_site: [{code: '<string>', system: '<string>', display: '<string>'}],
method: [{code: '<string>', system: '<string>', display: '<string>'}],
note: ['<string>']
})
};
fetch('https://api.openloophealth.com/v0.1/observations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openloophealth.com/v0.1/observations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'code' => [
'code' => '<string>',
'system' => '<string>',
'display' => '<string>'
],
'subject_id' => '<string>',
'encounter_id' => '<string>',
'effective_at' => '2023-11-07T05:31:56Z',
'effective_period' => [
'start_at' => '2023-11-07T05:31:56Z',
'end_at' => '2023-11-07T05:31:56Z'
],
'issued_at' => '2023-11-07T05:31:56Z',
'performers' => [
[
'id' => '<string>'
]
],
'value' => [
'type' => 'quantity',
'value' => 123,
'unit' => '<string>',
'system' => '<string>',
'code' => '<string>'
],
'interpretation' => [
[
'code' => '<string>',
'system' => '<string>',
'display' => '<string>'
]
],
'body_site' => [
[
'code' => '<string>',
'system' => '<string>',
'display' => '<string>'
]
],
'method' => [
[
'code' => '<string>',
'system' => '<string>',
'display' => '<string>'
]
],
'note' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.openloophealth.com/v0.1/observations"
payload := strings.NewReader("{\n \"code\": {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n },\n \"subject_id\": \"<string>\",\n \"encounter_id\": \"<string>\",\n \"effective_at\": \"2023-11-07T05:31:56Z\",\n \"effective_period\": {\n \"start_at\": \"2023-11-07T05:31:56Z\",\n \"end_at\": \"2023-11-07T05:31:56Z\"\n },\n \"issued_at\": \"2023-11-07T05:31:56Z\",\n \"performers\": [\n {\n \"id\": \"<string>\"\n }\n ],\n \"value\": {\n \"type\": \"quantity\",\n \"value\": 123,\n \"unit\": \"<string>\",\n \"system\": \"<string>\",\n \"code\": \"<string>\"\n },\n \"interpretation\": [\n {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n }\n ],\n \"body_site\": [\n {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n }\n ],\n \"method\": [\n {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n }\n ],\n \"note\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.openloophealth.com/v0.1/observations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"code\": {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n },\n \"subject_id\": \"<string>\",\n \"encounter_id\": \"<string>\",\n \"effective_at\": \"2023-11-07T05:31:56Z\",\n \"effective_period\": {\n \"start_at\": \"2023-11-07T05:31:56Z\",\n \"end_at\": \"2023-11-07T05:31:56Z\"\n },\n \"issued_at\": \"2023-11-07T05:31:56Z\",\n \"performers\": [\n {\n \"id\": \"<string>\"\n }\n ],\n \"value\": {\n \"type\": \"quantity\",\n \"value\": 123,\n \"unit\": \"<string>\",\n \"system\": \"<string>\",\n \"code\": \"<string>\"\n },\n \"interpretation\": [\n {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n }\n ],\n \"body_site\": [\n {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n }\n ],\n \"method\": [\n {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n }\n ],\n \"note\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openloophealth.com/v0.1/observations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"code\": {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n },\n \"subject_id\": \"<string>\",\n \"encounter_id\": \"<string>\",\n \"effective_at\": \"2023-11-07T05:31:56Z\",\n \"effective_period\": {\n \"start_at\": \"2023-11-07T05:31:56Z\",\n \"end_at\": \"2023-11-07T05:31:56Z\"\n },\n \"issued_at\": \"2023-11-07T05:31:56Z\",\n \"performers\": [\n {\n \"id\": \"<string>\"\n }\n ],\n \"value\": {\n \"type\": \"quantity\",\n \"value\": 123,\n \"unit\": \"<string>\",\n \"system\": \"<string>\",\n \"code\": \"<string>\"\n },\n \"interpretation\": [\n {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n }\n ],\n \"body_site\": [\n {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n }\n ],\n \"method\": [\n {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n }\n ],\n \"note\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"status": "registered",
"category": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"code": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"performers": [
{
"id": "<string>",
"type": "<string>"
}
],
"interpretation": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"subject": {
"id": "<string>",
"type": "<string>"
},
"encounter_id": "<string>",
"effective_at": "<string>",
"effective_period": {
"start_at": "<string>",
"end_at": "<string>"
},
"issued_at": "2023-11-07T05:31:56Z",
"value": {
"type": "quantity",
"value": 123,
"unit": "<string>",
"system": "<string>",
"code": "<string>"
},
"body_site": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"method": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"note": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"error_code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"error_code": "<string>"
},
"request_id": "<string>"
}Observations
Create observation
Record an observation — a measurement, lab value, vital sign, or survey answer — for a patient. Survey observations may also be generated automatically from completed questionnaire responses.
POST
/
observations
Create observation
curl --request POST \
--url https://api.openloophealth.com/v0.1/observations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": {
"code": "<string>",
"system": "<string>",
"display": "<string>"
},
"subject_id": "<string>",
"encounter_id": "<string>",
"effective_at": "2023-11-07T05:31:56Z",
"effective_period": {
"start_at": "2023-11-07T05:31:56Z",
"end_at": "2023-11-07T05:31:56Z"
},
"issued_at": "2023-11-07T05:31:56Z",
"performers": [
{
"id": "<string>"
}
],
"value": {
"type": "quantity",
"value": 123,
"unit": "<string>",
"system": "<string>",
"code": "<string>"
},
"interpretation": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"body_site": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"method": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"note": [
"<string>"
]
}
'import requests
url = "https://api.openloophealth.com/v0.1/observations"
payload = {
"code": {
"code": "<string>",
"system": "<string>",
"display": "<string>"
},
"subject_id": "<string>",
"encounter_id": "<string>",
"effective_at": "2023-11-07T05:31:56Z",
"effective_period": {
"start_at": "2023-11-07T05:31:56Z",
"end_at": "2023-11-07T05:31:56Z"
},
"issued_at": "2023-11-07T05:31:56Z",
"performers": [{ "id": "<string>" }],
"value": {
"type": "quantity",
"value": 123,
"unit": "<string>",
"system": "<string>",
"code": "<string>"
},
"interpretation": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"body_site": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"method": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"note": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
code: {code: '<string>', system: '<string>', display: '<string>'},
subject_id: '<string>',
encounter_id: '<string>',
effective_at: '2023-11-07T05:31:56Z',
effective_period: {start_at: '2023-11-07T05:31:56Z', end_at: '2023-11-07T05:31:56Z'},
issued_at: '2023-11-07T05:31:56Z',
performers: [{id: '<string>'}],
value: {
type: 'quantity',
value: 123,
unit: '<string>',
system: '<string>',
code: '<string>'
},
interpretation: [{code: '<string>', system: '<string>', display: '<string>'}],
body_site: [{code: '<string>', system: '<string>', display: '<string>'}],
method: [{code: '<string>', system: '<string>', display: '<string>'}],
note: ['<string>']
})
};
fetch('https://api.openloophealth.com/v0.1/observations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openloophealth.com/v0.1/observations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'code' => [
'code' => '<string>',
'system' => '<string>',
'display' => '<string>'
],
'subject_id' => '<string>',
'encounter_id' => '<string>',
'effective_at' => '2023-11-07T05:31:56Z',
'effective_period' => [
'start_at' => '2023-11-07T05:31:56Z',
'end_at' => '2023-11-07T05:31:56Z'
],
'issued_at' => '2023-11-07T05:31:56Z',
'performers' => [
[
'id' => '<string>'
]
],
'value' => [
'type' => 'quantity',
'value' => 123,
'unit' => '<string>',
'system' => '<string>',
'code' => '<string>'
],
'interpretation' => [
[
'code' => '<string>',
'system' => '<string>',
'display' => '<string>'
]
],
'body_site' => [
[
'code' => '<string>',
'system' => '<string>',
'display' => '<string>'
]
],
'method' => [
[
'code' => '<string>',
'system' => '<string>',
'display' => '<string>'
]
],
'note' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.openloophealth.com/v0.1/observations"
payload := strings.NewReader("{\n \"code\": {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n },\n \"subject_id\": \"<string>\",\n \"encounter_id\": \"<string>\",\n \"effective_at\": \"2023-11-07T05:31:56Z\",\n \"effective_period\": {\n \"start_at\": \"2023-11-07T05:31:56Z\",\n \"end_at\": \"2023-11-07T05:31:56Z\"\n },\n \"issued_at\": \"2023-11-07T05:31:56Z\",\n \"performers\": [\n {\n \"id\": \"<string>\"\n }\n ],\n \"value\": {\n \"type\": \"quantity\",\n \"value\": 123,\n \"unit\": \"<string>\",\n \"system\": \"<string>\",\n \"code\": \"<string>\"\n },\n \"interpretation\": [\n {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n }\n ],\n \"body_site\": [\n {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n }\n ],\n \"method\": [\n {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n }\n ],\n \"note\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.openloophealth.com/v0.1/observations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"code\": {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n },\n \"subject_id\": \"<string>\",\n \"encounter_id\": \"<string>\",\n \"effective_at\": \"2023-11-07T05:31:56Z\",\n \"effective_period\": {\n \"start_at\": \"2023-11-07T05:31:56Z\",\n \"end_at\": \"2023-11-07T05:31:56Z\"\n },\n \"issued_at\": \"2023-11-07T05:31:56Z\",\n \"performers\": [\n {\n \"id\": \"<string>\"\n }\n ],\n \"value\": {\n \"type\": \"quantity\",\n \"value\": 123,\n \"unit\": \"<string>\",\n \"system\": \"<string>\",\n \"code\": \"<string>\"\n },\n \"interpretation\": [\n {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n }\n ],\n \"body_site\": [\n {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n }\n ],\n \"method\": [\n {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n }\n ],\n \"note\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openloophealth.com/v0.1/observations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"code\": {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n },\n \"subject_id\": \"<string>\",\n \"encounter_id\": \"<string>\",\n \"effective_at\": \"2023-11-07T05:31:56Z\",\n \"effective_period\": {\n \"start_at\": \"2023-11-07T05:31:56Z\",\n \"end_at\": \"2023-11-07T05:31:56Z\"\n },\n \"issued_at\": \"2023-11-07T05:31:56Z\",\n \"performers\": [\n {\n \"id\": \"<string>\"\n }\n ],\n \"value\": {\n \"type\": \"quantity\",\n \"value\": 123,\n \"unit\": \"<string>\",\n \"system\": \"<string>\",\n \"code\": \"<string>\"\n },\n \"interpretation\": [\n {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n }\n ],\n \"body_site\": [\n {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n }\n ],\n \"method\": [\n {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n }\n ],\n \"note\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"status": "registered",
"category": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"code": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"performers": [
{
"id": "<string>",
"type": "<string>"
}
],
"interpretation": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"subject": {
"id": "<string>",
"type": "<string>"
},
"encounter_id": "<string>",
"effective_at": "<string>",
"effective_period": {
"start_at": "<string>",
"end_at": "<string>"
},
"issued_at": "2023-11-07T05:31:56Z",
"value": {
"type": "quantity",
"value": 123,
"unit": "<string>",
"system": "<string>",
"code": "<string>"
},
"body_site": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"method": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"note": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"error_code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"error_code": "<string>"
},
"request_id": "<string>"
}Authorizations
serviceTokenuserToken
Body
application/json

